VERSION 5.00
Begin VB.Form frmDisplayInfo 
   Caption         =   "Window Info at Pointer Location"
   ClientHeight    =   2715
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5655
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2715
   ScaleWidth      =   5655
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Interval        =   200
      Left            =   3840
      Top             =   240
   End
End
Attribute VB_Name = "frmDisplayInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
#If Win16 Then
    Private Declare Sub GetCursorPos Lib "User" (lpPoint As Long)
    Private Declare Function WindowFromPoint Lib "User" (ByVal ptScreen As Any) As Integer
    Private Declare Function GetModuleFileName Lib "Kernel" (ByVal hModule As Integer, ByVal lpFileName As String, ByVal nSize As Integer) As Integer
    Private Declare Function GetWindowWord Lib "User" (ByVal hwnd As Integer, ByVal nIndex As Integer) As Integer
    Private Declare Function GetWindowLong Lib "User" (ByVal hwnd As Integer, ByVal nIndex As Integer) As Long
    Private Declare Function GetParent Lib "User" (ByVal hwnd As Integer) As Integer
    Private Declare Function GetClassName Lib "User" (ByVal hwnd As Integer, ByVal lpClassName As String, ByVal nMaxCount As Integer) As Integer
    Private Declare Function GetWindowText Lib "User" (ByVal hwnd As Integer, ByVal lpString As String, ByVal aint As Integer) As Integer
#ElseIf Win32 Then
    Private Type POINTAPI
        x As Long
        y As Long
    End Type
    Private Declare Function GetCursorPos Lib "User32" (lpPoint As POINTAPI) As Long
    Private Declare Function WindowFromPointXY Lib "User32" Alias "WindowFromPoint" (ByVal xPoint As Long, ByVal yPoint As Long) As Long
    Private Declare Function GetModuleFileName Lib "kernel32" Alias "GetModuleFileNameA" (ByVal hModule As Long, ByVal lpFileName As String, ByVal nSize As Long) As Long
    Private Declare Function GetWindowWord Lib "User32" (ByVal hwnd As Long, ByVal nIndex As Long) As Integer
    Private Declare Function GetWindowLong Lib "User32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
    Private Declare Function GetParent Lib "User32" (ByVal hwnd As Long) As Long
    Private Declare Function GetClassName Lib "User32" Alias "GetClassNameA" (ByVal hwnd As Long, ByVal lpClassName As String, ByVal nMaxCount As Long) As Long
    Private Declare Function GetWindowText Lib "User32" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
#End If

Private Const GWW_HINSTANCE = (-6)
Private Const GWW_ID = (-12)
Private Const GWL_STYLE = (-16)

Private Sub Timer1_Timer()
#If Win16 Then
    Dim ptCursor As Long
    Dim sWindowText As String * 100
    Dim sClassName As String * 100
    Dim hWndOver As Integer
    Dim hWndParent As Integer
    Dim sParentClassName As String * 100
    Dim wID As Integer
    Dim lWindowStyle As Long
    Dim hInstance As Integer
    Dim sParentWindowText As String * 100
    Dim sModuleFileName As String * 100
    Static hWndLast As Integer

    Call GetCursorPos(ptCursor)               ' Get cursor position
    hWndOver = WindowFromPoint(ptCursor)      ' Get window cursor is over
    If hWndOver <> hWndLast Then              ' If changed update display
       hWndLast = hWndOver                    ' Save change
       Cls                                      ' Clear the form
       Print "Window Handle: &H"; Hex(hWndOver) ' Display window handle

       r = GetWindowText(hWndOver, sWindowText, 100)      ' Window text
       Print "Window Text: " & Left(sWindowText, r)

       r = GetClassName(hWndOver, sClassName, 100)         ' Window Class
       Print "Window Class Name: "; Left(sClassName, r)

       lWindowStyle = GetWindowLong(hWndOver, GWL_STYLE)   ' Window Style
       Print "Window Style: &H"; Hex(lWindowStyle)

       ' Get handle of parent window:
       hWndParent = GetParent(hWndOver)

       ' If there is a parent get more info:
       If hWndParent <> 0 Then
          ' Get ID of window:
          wID = GetWindowWord(hWndOver, GWW_ID)
          Print "Window ID Number: &H"; Hex(wID)
          Print "Parent Window Handle: &H"; Hex(hWndParent)

          ' Get the text of the Parent window:
          r = GetWindowText(hWndParent, sParentWindowText, 100)
          Print "Parent Window Text: " & Left(sParentWindowText, r)

          ' Get the class name of the parent window:
          r = GetClassName(hWndParent, sParentClassName, 100)
          Print "Parent Window Class Name: "; Left(sParentClassName, r)
       Else
          ' Update fields when no parent:
          Print "Window ID Number: N/A"
          Print "Parent Window Handle: N/A"
          Print "Parent Window Text : N/A"
          Print "Parent Window Class Name: N/A"
       End If

       ' Get window instance:
       hInstance = GetWindowWord(hWndOver, GWW_HINSTANCE)

       ' Get module file name:
       r = GetModuleFileName(hInstance, sModuleFileName, 100)
       Print "Module: "; Left(sModuleFileName, r)
    End If
#ElseIf Win32 Then
    Dim pt32 As POINTAPI
    Dim ptx As Long
    Dim pty As Long
    Dim sWindowText As String * 100
    Dim sClassName As String * 100
    Dim hWndOver As Long
    Dim hWndParent As Long
    Dim sParentClassName As String * 100
    Dim wID As Long
    Dim lWindowStyle As Long
    Dim hInstance As Long
    Dim sParentWindowText As String * 100
    Dim sModuleFileName As String * 100
    Static hWndLast As Long

    Call GetCursorPos(pt32)               ' Get cursor position
    ptx = pt32.x
    pty = pt32.y
    hWndOver = WindowFromPointXY(ptx, pty)    ' Get window cursor is over
    If hWndOver <> hWndLast Then              ' If changed update display
       hWndLast = hWndOver                    ' Save change
       Cls                                      ' Clear the form
       Print "Window Handle: &H"; Hex(hWndOver) ' Display window handle

       r = GetWindowText(hWndOver, sWindowText, 100)      ' Window text
       Print "Window Text: " & Left(sWindowText, r)

       r = GetClassName(hWndOver, sClassName, 100)         ' Window Class
       Print "Window Class Name: "; Left(sClassName, r)

       lWindowStyle = GetWindowLong(hWndOver, GWL_STYLE)   ' Window Style
       Print "Window Style: &H"; Hex(lWindowStyle)

       ' Get handle of parent window:
       hWndParent = GetParent(hWndOver)

       ' If there is a parent get more info:
       If hWndParent <> 0 Then
          ' Get ID of window:
          wID = GetWindowWord(hWndOver, GWW_ID)
          Print "Window ID Number: &H"; Hex(wID)
          Print "Parent Window Handle: &H"; Hex(hWndParent)

          ' Get the text of the Parent window:
          r = GetWindowText(hWndParent, sParentWindowText, 100)
          Print "Parent Window Text: " & Left(sParentWindowText, r)

          ' Get the class name of the parent window:
          r = GetClassName(hWndParent, sParentClassName, 100)
          Print "Parent Window Class Name: "; Left(sParentClassName, r)
       Else
          ' Update fields when no parent:
          Print "Window ID Number: N/A"
          Print "Parent Window Handle: N/A"
          Print "Parent Window Text : N/A"
          Print "Parent Window Class Name: N/A"
       End If

       ' Get window instance:
       hInstance = GetWindowWord(hWndOver, GWW_HINSTANCE)

       ' Get module file name:
       r = GetModuleFileName(hInstance, sModuleFileName, 100)
       Print "Module: "; Left(sModuleFileName, r)
    End If
#End If
End Sub
